util.program

## Class ProgramTextCreator

- java.lang.Object
- - util.program.ProgramTextCreator

-     public class ProgramTextCreator
      extends java.lang.Object

  Creates the String for the ProgramInfoDialog

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `TVBROWSER_URL_PROTOCOL` The used link protocol for actor links

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProgramTextCreator()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `createInfoText(Program prog, ExtendedHTMLDocument doc, java.lang.Object[] fieldArr, java.awt.Font tFont, java.awt.Font bFont, boolean showImage, boolean showHelpLinks)`
    `static java.lang.String` | `createInfoText(Program prog, ExtendedHTMLDocument doc, java.lang.Object[] fieldArr, java.awt.Font tFont, java.awt.Font bFont, PluginPictureSettings settings, boolean showHelpLinks, int zoom)`
    `static java.lang.String` | `createInfoText(Program prog, ExtendedHTMLDocument doc, java.lang.Object[] fieldArr, java.awt.Font tFont, java.awt.Font bFont, ProgramPanelSettings settings, boolean showHelpLinks, int zoom)`
    `static java.lang.String` | `createInfoText(Program prog, ExtendedHTMLDocument doc, java.lang.Object[] fieldArr, java.awt.Font tFont, java.awt.Font bFont, ProgramPanelSettings settings, boolean showHelpLinks, int zoom, boolean showPluginIcons)`
    `static java.lang.String` | `createInfoText(Program prog, ExtendedHTMLDocument doc, java.lang.Object[] fieldArr, java.awt.Font tFont, java.awt.Font bFont, ProgramPanelSettings settings, boolean showHelpLinks, int zoom, boolean showPluginIcons, boolean showPersonLinks)`
    `static java.lang.String` | `createInfoText(Program prog, ExtendedHTMLDocument doc, java.lang.Object[] fieldArr, java.awt.Font tFont, java.awt.Font bFont, ProgramPanelSettings settings, boolean showHelpLinks, int zoom, boolean showPluginIcons, boolean showPersonLinks, boolean useThemeColors)`
    `static java.lang.Object[]` | `getDefaultOrder()`
    `static java.lang.String` | `getDurationTypeString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### TVBROWSER_URL_PROTOCOL

          public static final java.lang.String TVBROWSER_URL_PROTOCOL

      The used link protocol for actor links
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ProgramTextCreator

          public ProgramTextCreator()

  - ### Method Detail

    - #### createInfoText

          public static java.lang.String createInfoText(Program prog,
                                        ExtendedHTMLDocument doc,
                                        java.lang.Object[] fieldArr,
                                        java.awt.Font tFont,
                                        java.awt.Font bFont,
                                        boolean showImage,
                                        boolean showHelpLinks)

      Parameters:
        `prog` - The Program to show
        `doc` - The HTMLDocument.
        `fieldArr` - The object array with the field types.
        `tFont` - The title Font.
        `bFont` - The body Font.
        `showImage` - If the image should be shown if it is available.
        `showHelpLinks` - Show the Help-Links (Quality of Data, ShowView)
      Returns:
        The HTML String.

    - #### createInfoText

          public static java.lang.String createInfoText(Program prog,
                                        ExtendedHTMLDocument doc,
                                        java.lang.Object[] fieldArr,
                                        java.awt.Font tFont,
                                        java.awt.Font bFont,
                                        ProgramPanelSettings settings,
                                        boolean showHelpLinks,
                                        int zoom)

      Parameters:
        `prog` - The Program to show
        `doc` - The HTMLDocument.
        `fieldArr` - The object array with the field types.
        `tFont` - The title Font.
        `bFont` - The body Font.
        `settings` - Settings of the ProgramPanel
        `showHelpLinks` - Show the Help-Links (Quality of Data, ShowView)
        `zoom` - The zoom value for the picture.
      Returns:
        The HTML String.
      Since:
        2.2.2

    - #### createInfoText

          public static java.lang.String createInfoText(Program prog,
                                        ExtendedHTMLDocument doc,
                                        java.lang.Object[] fieldArr,
                                        java.awt.Font tFont,
                                        java.awt.Font bFont,
                                        PluginPictureSettings settings,
                                        boolean showHelpLinks,
                                        int zoom)

      Parameters:
        `prog` - The Program to show
        `doc` - The HTMLDocument.
        `fieldArr` - The object array with the field types.
        `tFont` - The title Font.
        `bFont` - The body Font.
        `settings` - Settings of the ProgramPanel
        `showHelpLinks` - Show the Help-Links (Quality of Data, ShowView)
        `zoom` - The zoom value for the picture.
      Returns:
        The HTML String.
      Since:
        2.6

    - #### createInfoText

          public static java.lang.String createInfoText(Program prog,
                                        ExtendedHTMLDocument doc,
                                        java.lang.Object[] fieldArr,
                                        java.awt.Font tFont,
                                        java.awt.Font bFont,
                                        ProgramPanelSettings settings,
                                        boolean showHelpLinks,
                                        int zoom,
                                        boolean showPluginIcons)

      Parameters:
        `prog` - The Program to show
        `doc` - The HTMLDocument.
        `fieldArr` - The object array with the field types.
        `tFont` - The title Font.
        `bFont` - The body Font.
        `settings` - Settings of the ProgramPanel
        `showHelpLinks` - Show the Help-Links (Quality of Data, ShowView)
        `zoom` - The zoom value for the picture.
        `showPluginIcons` - If the plugin icons should be shown.
      Returns:
        The HTML String.
      Since:
        2.5.3

    - #### createInfoText

          public static java.lang.String createInfoText(Program prog,
                                        ExtendedHTMLDocument doc,
                                        java.lang.Object[] fieldArr,
                                        java.awt.Font tFont,
                                        java.awt.Font bFont,
                                        ProgramPanelSettings settings,
                                        boolean showHelpLinks,
                                        int zoom,
                                        boolean showPluginIcons,
                                        boolean showPersonLinks)

      Parameters:
        `prog` - The Program to show
        `doc` - The HTMLDocument.
        `fieldArr` - The object array with the field types.
        `tFont` - The title Font.
        `bFont` - The body Font.
        `settings` - Settings of the ProgramPanel
        `showHelpLinks` - Show the Help-Links (Quality of Data, ShowView)
        `zoom` - The zoom value for the picture.
        `showPluginIcons` - If the plugin icons should be shown.
      Returns:
        The HTML String.
      Since:
        3.0

    - #### createInfoText

          public static java.lang.String createInfoText(Program prog,
                                        ExtendedHTMLDocument doc,
                                        java.lang.Object[] fieldArr,
                                        java.awt.Font tFont,
                                        java.awt.Font bFont,
                                        ProgramPanelSettings settings,
                                        boolean showHelpLinks,
                                        int zoom,
                                        boolean showPluginIcons,
                                        boolean showPersonLinks,
                                        boolean useThemeColors)

      Parameters:
        `prog` - The Program to show
        `doc` - The HTMLDocument.
        `fieldArr` - The object array with the field types.
        `tFont` - The title Font.
        `bFont` - The body Font.
        `settings` - Settings of the ProgramPanel
        `showHelpLinks` - Show the Help-Links (Quality of Data, ShowView)
        `zoom` - The zoom value for the picture.
        `showPluginIcons` - If the plugin icons should be shown.
      Returns:
        The HTML String.
      Since:
        3.1

    - #### getDefaultOrder

          public static java.lang.Object[] getDefaultOrder()

      Returns:
        The default order of the entries.

    - #### getDurationTypeString

          public static java.lang.String getDurationTypeString()

      Returns:
        The String for the duration/end of a program.

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)